Package htsjdk.samtools.util

# Class IntervalTree.RevIterator

java.lang.Object
htsjdk.samtools.util.IntervalTree.RevIterator

All Implemented Interfaces:
  `Iterator<IntervalTree.Node<V>>`

Enclosing class:
  `IntervalTree<V>`

public class IntervalTree.RevIterator extends Object implements Iterator<IntervalTree.Node<V>>

## Constructor Summary

Constructors
Constructor
Description
`RevIterator(IntervalTree.Node<V> node)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`IntervalTree.Node<V>`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### RevIterator

public RevIterator(IntervalTree.Node<V> node)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<IntervalTree.Node<V>>`

### next

public IntervalTree.Node<V> next()

Specified by:
  `next` in interface `Iterator<IntervalTree.Node<V>>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<IntervalTree.Node<V>>`